/*******************************************************************************
 * FoxSettingsUIGeneral generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSettingsUIGeneral extends FoxSettingsUIBase within FoxMenuUI
    config(UI);

enum EGenSettings
{
    EGENS_Max
};

function Initialize()
{
    ProfileSettings = Outer.Outer.PCOwner.ProfileSettings;
    SetupStrings();
    SetupSettingsScene();
    NumSettings = 0;
    OriginalVals.Length = NumSettings;
    CurrentVals.Length = NumSettings;
    DefaultVals.Length = NumSettings;
    GetOriginalVals();
    GetDefaultVals();
    Outer.Outer.Advance(0.0);
    ei_RevertChanges();
    SetupButtonContainer();
    ConfirmSettingsValidity();
    //return;    
}

function SetupSettingsScene()
{
    Outer.as_addAdditionalButtonContainer("container", int(SettingsContainerProperties.X), int(SettingsContainerProperties.Y), 0, 0, 0, 100, "", "", SettingsContainerProperties.WidgetSpacing, SettingsContainerProperties.MaxListWidth, SettingsContainerProperties.MaxListHeight, false);
    as_addSettingsBG(0, 0);
    Outer.as_addAdditionalButtonContainer("General", int(SettingsDividerContainerProperties.X), int(SettingsDividerContainerProperties.Y), 0, 0, 0, 100, "", "", SettingsDividerContainerProperties.WidgetSpacing, SettingsDividerContainerProperties.MaxListWidth, SettingsDividerContainerProperties.MaxListHeight, false);
    //return;    
}

function GetOriginalVals()
{
    //return;    
}

function GetDefaultVals()
{
    //return;    
}

function ApplyChanges()
{
    //return;    
}
